Subject: Re: bug#23540: 25.1.50; make-ipv4-tcp-server-with-unspecified-port fails

From: Ken Brown <[email-masked]>
Date: Wed, 23 Oct 2019 16:31:08 +0000

On 10/23/2019 6:32 AM, Lars Ingebrigtsen wrote:
> Ken Brown <[email-masked]> writes:
> 
>>> Presumably the documentation of open-network-stream should also be
>>> updated to reflect this.  I hesitate to do this myself without knowing
>>> for sure that t is an acceptable value for all calls to
>>> open-network-stream.  I'd rather leave it for someone more familiar with
>>> the code, like Lars.
>>
>> I went ahead and installed the obvious fix, to get rid of the test
>> failure.  I'm leaving the bug open because someone knowledgeable still
>> needs to update the documentation of open-network-stream.
> 
> The test calls make-network-process, not open-network-stream, so
> altering the documentation of the latter doesn't seem appropriate.

It's appropriate because the documentation is wrong.  The documentation of 
open-network-stream doesn't say that the fourth argument can be t.

Ken